Loading...
Searching...
No Matches
spa_dbus_connection Struct Reference
SPA » Support » DBus

`#include <spa/support/dbus.h>`

## Data Fields

uint32_t | version
void *(* | get )(struct spa_dbus_connection *conn)
| Get the DBusConnection from a wrapper.
void(* | destroy )(struct spa_dbus_connection *conn)
| Destroy a dbus connection wrapper.
void(* | add_listener )(struct spa_dbus_connection *conn, struct spa_hook *listener, const struct spa_dbus_connection_events *events, void *data)
| Add a listener for events.

## Field Documentation

## version

uint32_t spa_dbus_connection::version

## get

void *(* spa_dbus_connection::get) (struct spa_dbus_connection *conn)

Get the DBusConnection from a wrapper.

Note that the returned handle is closed and unref'd by spa_dbus immediately before emitting the asynchronous "disconnected" event. The caller must either deal with the invalidation, or keep an extra ref on the handle returned.

Parameters

  conn | the spa_dbus_connection wrapper

Returns
  a pointer of type DBusConnection

## destroy

void(* spa_dbus_connection::destroy) (struct spa_dbus_connection *conn)

Destroy a dbus connection wrapper.

Parameters

  conn | the wrapper to destroy

## add_listener

void(* spa_dbus_connection::add_listener) (struct spa_dbus_connection *conn, struct spa_hook *listener, const struct spa_dbus_connection_events *events, void *data)

Add a listener for events.

Since version 1

The documentation for this struct was generated from the following file:

- spa/support/dbus.h